export interface PicoQuery {
    eci: string;
    rid: string;
    name: string;
    args: {
        [key: string]: any;
    };
}
/**
 * Given a query json (i.e. from the web, or somewhere untrusted)
 *   + assert the required pieces are there
 *   + normalize the shape/naming conventions
 *   + make a full copy (clone) as to not mutate the original
 */
export declare function cleanQuery(queryOrig: any): PicoQuery;
